#<profile4xi profile = "10" />
# -------------------------------------------------------------------------------------------------
#<program4xi program = "set_logger4xi.py">
#<abstract4xi abstract = "provides the funtion set_logger4xi"/>
#<refer4xi reference = "DragonXi"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'set_log_to_stderr4xi' ] 
#"
#/>

# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
try:                 # system ones
    import os
    import sys
    import signal
except:
    pass
try:                 # threading ones       
    import threading                
    import _thread
    import _winapi
       
except:
    pass
try:                 # most-common ones
    pass         
except:
    pass
try:                 # rare ones
    pass          
except:
    pass 
try:                 # imported-as ones 
    pass          
except:
    pass            
#"
#/>

# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
try:                             # Binary ones
    import _multiprocessing
except:
    pass
try:                             # Python ones
    pass
except:
    pass
#"
#/>


# -------------------------------------------------------------------------------------------------
# DragonXi imports                               
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from logger4xi import Logger4Xi

from print4xi import print4xi
from time4xi import time4xi
#"
#/>

       

# -------------------------------------------------------------------------------------------------
# set_log_to_stderr4xi 
#<function4xi function = "set-log-to-stderr4x" usage = "
#  sets global object log_to_stderr4xi
#"> 
#<state4xi status = "ACK4review; ACK4tagging; NACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def set_log_to_stderr4xi(log_to_stderr=False):                                                    
    '''
    sets global object log_to_stderr4xi
    '''
    # -----------------------------------------------------------------------------------------    
    #
    # -----------------------------------------------------------------------------------------        
        
    class2print = "set_log_to_stderr4xi"
    method2print = "set_log_to_stderr4xi"
    
    message2print = "{started" + "; set-log-to-stderr4xi-started: " + str(set_log_to_stderr4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
  
    message2print = "{passed" + "; log-to-stderr-passed-to-set-log-to-stderr4xi: " + str(log_to_stderr) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
            
    # -----------------------------------------------------------------------------------------    
    #
    # -----------------------------------------------------------------------------------------        
    message2print = "{passing" + "; log-to-stderr-passing-to-Locker4Xi-by-set-log-to-stderr4xi: " + str(log_to_stderr) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)          
        

    Locker4Xi.set_log_to_stderr4xi(log_to_stderr)    

    message2print = "{performed" + "; Locker4Xi-performed-by-set-log-to-stderr4xi: " + str(Locker4Xi) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)             
                
    # -----------------------------------------------------------------------------------------    
    #
    # -----------------------------------------------------------------------------------------        
    message2print = "{returning" + "; set-log-to-stderr4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
           
#</function4xi>
#</program4xi>

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_none4xi.txt
#   sense-test-none4xi.xml
#   reason-test-none4xi.xml
#   ace-test-none4xi.xml
#"
#>

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of set_logger4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
